"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformLess = void 0;
const less_1 = __importDefault(require("less"));
const less_plugin_npm_import_1 = __importDefault(require("less-plugin-npm-import"));
const transformLess = (inputContext, filePath) => __awaiter(void 0, void 0, void 0, function* () {
    return yield less_1.default.render(inputContext, {
        filename: filePath,
        syncImport: true,
        /**
         * Legacy compatible
         */
        plugins: [new less_plugin_npm_import_1.default({ prefix: '~' })],
        sourceMap: {
            sourceMapFileInline: false,
            outputSourceFiles: true,
        },
    });
});
exports.transformLess = transformLess;
